from django.urls import path
from django.views.generic import TemplateView

from . import views

urlpatterns = [
    path('', TemplateView.as_view(template_name='account/index.html'), name='index'),
    path('refill/<pk>', views.refill_balance, name='refill'),
    path('pay/<pk>', views.pay, name='pay'),
    path('reset/<pk>', views.reset_balance, name='reset'),
    path('create/', views.create_account, name='create'),
    path('search/', views.search, name='search'),
    path('account/<pk>', views.account, name='account'),
    path('article/', views.list_articles, name='list-articles'),
    path('article/new', views.new_article, name='new-article'),
    path('article/<pk>', views.article, name='article'),
]

